<?php
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
require_once MYBB_ROOT."inc/plugins/nickstyles/require.php";


function nickstyles_info()
{
	return nicknamestyles_plugin_info();
}

function nickstyles_is_installed()
{
	return nicknamestyles_plugin_is_installed();
}

function nickstyles_install()
{
	nicknamestyles_plugin_install();
}

function nickstyles_uninstall()
{
	nicknamestyles_plugin_uninstall();
}

function nickstyles_activate()
{
	nicknamestyles_plugin_activate();
}

function nickstyles_deactivate()
{
	nicknamestyles_plugin_deactivate();
}

function create_template_nickstyles($name, $template)
{
	global $db;
	$inserttemplate = array(
		"title"		=> $name,
		"template"	=> $db->escape_string($template),
		"sid"		=> -1,
		"version"	=> 1604,
		"dateline"	=> TIME_NOW,
	);
	$db->insert_query("templates", $inserttemplate);
}

function load_groups()
{
	global $cache;
	$group = array();
	foreach($cache->read("usergroups") as $groups)
	{
		if($groups['gid'] != 1)
		{
			$group[$groups['gid']] = $groups['title'];
		}
	}
	return $group;
}

function messageadmin($str, $url='', $type='success')
{
	flash_message($str, $type);
	admin_redirect("index.php?module=user-nickstyles{$url}");
}

function get_timeonline($style=array(), $ucp=0)
{
	global $lang;
	if($ucp == 1)
	{
		$lang->load("admin/nickstyles");
	}
	$days = intval($style['days']);
	$months = intval($style['months']);
	if(empty($days) && empty($months))
	{
		$online = $lang->none;
	}
	elseif(empty($months) && $days)
	{
		if($days == 1)
		{
			$online = "1 ".utf8_encode($lang->day);
		}
		else
		{
			$online = $days." ".$lang->days;
		}
	}
	elseif(empty($days) && $months)
	{
		if($months == 1)
		{
			$online = "1 ".$lang->month;
		}
		else
		{
			$online = $months." ".$lang->months;
		}
	}
	else
	{
		if($days == 1)
		{
			$day = ", 1 ".utf8_encode($lang->day);
		}
		else
		{
			$day = ", ".$days." ".$lang->days;
		}
		if($months == 1)
		{
			$online = "1 ".$lang->month.$day;
		}
		else
		{
			$online = $months." ".$lang->months.$day;
		}
	}
	return $online;
}

function get_styles()
{
	global $db, $mybb;
	$styles = array();
	$query = $db->simple_select("nickstyles_nicks", '*', '', array("order_by" => "disporder","order_dir" => "ASC"));
	while($style = $db->fetch_array($query))
	{
		$add = array(
			"nid" => $style['nid'],
			"name" => $style['name'],
			"style" => $style['style'],
			"posts" => $style['posts'],
			"reputation" => $style['reputation'],
			"days" => $style['days'],
			"months" => $style['months'],
			"online" => $style['online'],
			"groups" => $style['groups'],
			"disporder" => $style['disporder']
		);
		if($style['nid'] == $mybb->user['nickstyle'])
		{
			$add['selected'] = array(
				"selected" => " selected=\"selected\""
			);
		}
		$styles[$style['nid']] = $add;
	}
	return $styles;
}

function style_group()
{
	global $groupscache, $cache, $mybb;
	if(!is_array($groupscache))
	{
		$groupscache = $cache->read("usergroups");
	}
	$ugroup = $groupscache[$mybb->user['usergroup']];
	$format = $ugroup['namestyle'];
	$userin = substr_count($format, "{username}");

	if($userin == 0)
	{
		$format = "{username}";
	}

	$format = stripslashes($format);

	return str_replace("{username}", $mybb->user['username'], $format);
}
?>