<?php

require_once MYBB_ROOT."inc/plugins/nickstyles/require.php";

$plugins->add_hook("admin_user_menu", "nickstyles_admin_user_menu");
$plugins->add_hook("admin_user_action_handler", "nickstyles_user_action_handler");
$plugins->add_hook("admin_load", "nickstyles_admin_load");

function nickstyles_user_action_handler(&$action)
{
	$action['nickstyles'] = array('active'=>'nickstyles');
	$action['nickstyles'] = array('active' => 'nickstyles', 'file' => '');
}

function nickstyles_admin_user_menu(&$sub_menu)
{
	global $mybb,$lang;
	$lang->load("nickstyles");
	end($sub_menu);
	$key = (key($sub_menu))+10;
	if(!$key)
	{
		$key = '110';
	}	
	$sub_menu[$key] = array('id' => 'nickstyles', 'title' => $lang->nickstyles, 'link' => "index.php?module=user-nickstyles");
}

function nickstyles_admin_load()
{
	global $mybb, $db, $page, $lang;
	$lang->load("nickstyles");
	$loadclass = new nickstyles_admin;
	if($page->active_action != "nickstyles")
	{
		return;
	}
	$page->add_breadcrumb_item($lang->nickstyles);
	$page->output_header($lang->nickstyles);
	if($mybb->input['action'] == "new")
	{
		if($mybb->request_method == "post")
		{
			$process = process_info_nickstyle();
		}
		if($process['error'])
		{
			$page->output_inline_error($process['error']);
		}
		$loadclass->tabs("new");
		action_new_nickstyle_load();
		$page->output_footer();
	}
	elseif($mybb->input['action'] == "edit")
	{
		if($mybb->request_method == "post")
		{
			$process = process_edit_nickstyle();
		}
		if($process['error'])
		{
			$page->output_inline_error($process['error']);
		}
		$loadclass->tabs("edit", array('edit' => 1, 'nid' => $mybb->input['nid']));
		action_edit_nickstyle_load();
		$page->output_footer();
	}
	elseif($mybb->input['action'] == "delete")
	{
		action_delete_style();
	}
	elseif($mybb->input['action'] == "editmassive")
	{
		if($mybb->request_method == "post")
		{
			$process = process_edit_massive();
		}
		if($process['error'])
		{
			$page->output_inline_error($process['error']);
		}
		$loadclass->tabs("editmassive");
		edit_massive_all_dats();
		$page->output_footer();
	}
	else
	{
		if($mybb->request_method == "post")
		{
			$process = process_orden();
		}
		$loadclass->tabs();
		table_load_homepage();
		$page->output_footer();
	}
	exit;
}


?>