<?php

require_once MYBB_ROOT."inc/plugins/nickstyles/require.php";

function install_nickname_table()
{	
	global $db;
	if(!$db->table_exists("nickstyles_nicks"))
	{
		$db->query("CREATE TABLE IF NOT EXISTS `".TABLE_PREFIX."nickstyles_nicks` (
  `nid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `style` text NOT NULL,
  `posts` int(10) NOT NULL default '0',
  `reputation` int(10) NOT NULL default '0',
  `days` int(10) NOT NULL default '0',
  `months` int(10) NOT NULL default '0',
  `online` int(10) NOT NULL default '0',
  `groups` varchar(250) NOT NULL DEFAULT '0',
  `disporder` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`nid`)
) ENGINE=MyISAM;");
	}
	if(!$db->field_exists("nickstyle", "users"))  
	{
		$db->add_column("users", "nickstyle", "int(10) NOT NULL default '0'"); 
	}
	
	$createtemplate[] = array(
		"name" => 'nickstyles_usercp',
		"body" => '<br />
<fieldset class="trow2">
<legend><strong>{$lang->nickstyles}</strong></legend>
<table cellspacing="0" cellpadding="{$theme[\'tablespace\']}" width="100%">
<span class="smalltext">{$lang->selectucpdes}</span>
<br />
{$selectcolors}
</table>
<br />
<fieldset class="trow1">
<legend><strong>{$lang->styleactual}</strong></legend>
<div align="center">{$nickcolor}</div>
</fieldset>
<br />
<span class="smalltext">{$lang->urlliststyles}</span>
</fieldset>'
	);
	$createtemplate[] = array(
		"name" => 'nickstyles_list',
		"body" => '<html>
<head>
<title>{$lang->liststyles}</title>
{$headerinclude}
</head>
<body>
<table class="tborder" border="0" cellpadding="{$theme[\'tablespace\']}" cellspacing="{$theme[\'borderwidth\']}" style="width:95%">
<tbody>
<tr>
<td class="thead" colspan="5" align="left"><strong>{$lang->liststyles}</strong></td>
</tr>
<tr>
<td class="tcat" width="20%"><span class="smalltext"><strong>{$lang->name}</strong></span></td>
<td class="tcat" width="30%"><span class="smalltext"><strong>{$lang->style}</strong></span></td>
<td class="tcat" width="15%"><span class="smalltext"><strong>{$lang->posts}</strong></span></td>
<td class="tcat" width="15%"><span class="smalltext"><strong>{$lang->reputation}</strong></span></td>
<td class="tcat" width="20%"><span class="smalltext"><strong>{$lang->timeonline}</strong></span></td>
</tr>
{$liststyles}
</table>
</body>
</html>'
	);
	$createtemplate[] = array(
		"name" => 'nickstyles_list_styles',
		"body" => '<tr>
<td class="{$styleclass}">{$style[\'name\']}</td>
<td class="{$styleclass}">{$nickstyle}</td>
<td class="{$styleclass}">{$style[\'posts\']}</td>
<td class="{$styleclass}">{$style[\'reputation\']}</td>
<td class="{$styleclass}">{$timeonline}</td>
</tr>'
	);
	foreach($createtemplate as $template)
	{
		create_template_nickstyles($template['name'], $template['body']);
	}
}

function delete_table_nickname()
{
	global $db;
	if($db->table_exists("nickstyles_nicks"))
	{
		$db->drop_table("nickstyles_nicks");
	}
	if($db->field_exists("nickstyle", "users"))  
	{
		$db->drop_column("users", "nickstyle");
	}
	$db->delete_query("templates","title LIKE 'nickstyles_%'");
}

function activate_template()
{
	require_once MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets('usercp_profile', '#{\$customfields}#', '{\$customfields}<!-- nickstyles -->{\$nickstyles}<!-- /nickstyles -->');
}

function deactivate_template()
{
	require_once MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets('usercp_profile', '#\<!--\snickstyles\s--\>(.+)\<!--\s/nickstyles\s--\>#is', '', 0);
}
?>