<?php

require_once MYBB_ROOT."inc/plugins/nickstyles/require.php";

$plugins->add_hook("usercp_profile_end", "nickstyles_usercp_profile");
$plugins->add_hook("usercp_do_profile_end", "nickstyles_usercp_do_profile_save");
$plugins->add_hook("misc_start", "nickstyles_misc_list_styles");

function nickstyles_misc_list_styles()
{
	global $mybb, $templates, $theme, $headerinclude, $lang;
	$lang->load("admin/nickstyles");
	if($mybb->input['action'] == "nickstyles")
	{
		$styles = get_styles();
		$styleclass = "trow2";
		$timeonline = '-';
		$nickstyle = style_group();
		$style = array(
			"name" => $lang->predertminado,
			"posts" => "-",
			"reputation" => "-"
		);
		eval("\$liststyles = \"".$templates->get("nickstyles_list_styles")."\";");
		foreach($styles as $style)
		{
			if(in_array($mybb->user['usergroup'], explode(",", $style['groups'])))
			{
				$styleclass = alt_trow();
				$format = $style['style'];
				$userin = substr_count($format, "{username}");
				if($userin == 0)
				{
					$format = "{username}";
				}
				$format = stripslashes($format);
				$nickstyle = str_replace("{username}", $mybb->user['username'], $format);
				$timeonline = get_timeonline($style, 1);
				eval("\$liststyles .= \"".$templates->get("nickstyles_list_styles")."\";");
			}
		}
		eval("\$pagestyles = \"".$templates->get("nickstyles_list")."\";");
		output_page($pagestyles);
	}
}

function nickstyles_usercp_do_profile_save()
{
	global $mybb, $db;
	if($mybb->input['nickstyle'] == 0)
	{
		$styles = get_styles();
		if($mybb->user['postnum'] <= $styles[$mybb->input['nickstyle']]['posts'] && $mybb->user['reputation'] <= $styles[$mybb->input['nickstyle']]['reputation'] && $mybb->user['timeonline'] <= $styles[$mybb->input['nickstyle']]['online'] && !in_array($mybb->user['usergroup'], explode(",", $styles[$mybb->input['nickstyle']]['groups'])))
		{
			error_no_permission();
		}
	}
	$update = array(
		'nickstyle' => intval($mybb->input['nickstyle'])
	);
	$db->update_query("users", $update, "uid='".$mybb->user['uid']."'");
}

function nickstyles_usercp_profile()
{
	global $templates, $nickstyles, $mybb, $db, $selectcolors, $lang, $nickcolor;
	$lang->load("admin/nickstyles");
	$styles = get_styles();
	$select = "<select name=\"nickstyle\">";
	$select .= "<option value=\"0\" selected=\"selected\">".$lang->predertminado."</option>";
	foreach($styles as $style)
	{
		if($mybb->user['postnum'] >= $style['posts'] && $mybb->user['reputation'] >= $style['reputation'] && $mybb->user['timeonline'] >= $style['online'] && in_array($mybb->user['usergroup'], explode(",", $style['groups'])))
		{
			$select .= "<option value=\"".intval($style['nid'])."\"".$style['selected']['selected'].">".$style['name']."</option>";
		}
	}
	$select .= "</select>";
	$selectcolors = $select;
	$nickcolor = format_name($mybb->user['username'], $mybb->user['usergroup'], $mybb->user['displaygroup']);
	$lang->urlliststyles = $lang->sprintf($lang->urlliststyles, "javascript:;\" onclick=\"MyBB.popupWindow('misc.php?action=nickstyles', 'nickstyles', 600, 300);");
	eval("\$nickstyles = \"".$templates->get("nickstyles_usercp")."\";");
}

function action_new_nickstyle_load()
{
	global $lang, $mybb;
	if($mybb->input['style'])
	{
		$style = $mybb->input['style'];
	}else{
		$style = "{username}";
	}
	$groups = load_groups();
	$form = new Form("index.php?module=user-nickstyles&action=new", "post");
	$form_container = new FormContainer($lang->newnickstyles);
	$form_container->output_row($lang->name, $lang->namedes, $form->generate_text_box('name', $mybb->input['name'], array('id' => 'name')), 'name');
	$form_container->output_row($lang->style , $lang->styledes, $form->generate_text_box('style', $style, array('id' => 'style')), 'style');
	$form_container->output_row($lang->posts, $lang->postsdes, $form->generate_text_box('posts',$mybb->input['posts'], array('id' => 'posts')), 'posts');
	$form_container->output_row(utf8_encode($lang->reputation), utf8_encode($lang->reputationdes), $form->generate_text_box('reputation',$mybb->input['reputation'], array('id' => 'reputation')), 'reputation');
	$form_container->output_row($lang->timeonline."<em>*</em>", $lang->timeonlinedes, " ".utf8_encode($lang->days).": ".$form->generate_text_box('day',$mybb->input['day'], array('id' => 'day', 'style' => 'width: 60px;'))." {$lang->months}: ".$form->generate_text_box('month',$mybb->input['month'], array('id' => 'month', 'style' => 'width: 60px;')), 'timeonline');
	$form_container->output_row($lang->groups, $lang->groupsdes, $form->generate_select_box('groups[]', $groups, '', array("multiple" => 1, "size" => 5)), 'groups[]');
	$form_container->output_row($lang->orden, $lang->ordendes, $form->generate_text_box('disporder', $mybb->input['disporder'], array('id' => 'disporder')), 'disporder');
	$form_container->end();

	$buttons[] = $form->generate_submit_button($lang->save, array('name' => 'save'));
	$form->output_submit_wrapper($buttons);
	$form->end();
}

function process_info_nickstyle()
{
	global $lang, $mybb, $db;
	$loadclass = new nickstyles_admin;
	$groups = 0;
	if($mybb->input['groups'])
	{
		$groups = implode(",", $mybb->input['groups']);
	}
	$style_info = array(
		"name" => $db->escape_string($mybb->input['name']),
		"style" => $db->escape_string($mybb->input['style']),
		"posts" => intval($mybb->input['posts']),
		"reputation" => intval($mybb->input['reputation']),
		"day" => intval($mybb->input['day']),
		"month" => intval($mybb->input['month']),
		"groups" => $groups,
		"disporder" => intval($mybb->input['disporder'])
	);
	$style_info['online'] = ($style_info['month'] * 2551443) + ($style_info['day'] * 86400);
	$loadclass->set_data($style_info);
	if(!$loadclass->validate_information())
	{
		$errors = $loadclass->get_friendly_errors();
		$return['error'] = $errors;
		return $return;
	}
	if(!$errors)
	{		
		$loadclass->insert_style();
		messageadmin($lang->stylesuccess);
	}
}

function table_load_homepage()
{
	global $db, $mybb, $lang;
	$form = new Form("index.php?module=user-nickstyles", "post");
	$form_container = new FormContainer($lang->nickstyles);
	$form_container->output_row_header($lang->name, array("width" => "20%"));
	$form_container->output_row_header($lang->style, array("width" => "20%"));
	$form_container->output_row_header($lang->posts, array("width" => "10%"));
	$form_container->output_row_header(utf8_encode($lang->reputation), array("width" => "10%"));
	$form_container->output_row_header(utf8_encode($lang->timeonline), array("width" => "20%", "class" => "align_center"));
	$form_container->output_row_header($lang->orden, array("width" => "10%","class" => "align_center"));
	$form_container->output_row_header($lang->options, array("width" => "10%","class" => "align_center"));
	
	$query = $db->simple_select("nickstyles_nicks", "*", '', array("order_by" => "disporder", "order_dir" => "ASC"));
	while($style = $db->fetch_array($query))
	{
		$timeonline = get_timeonline($style);
		$lang->confirmdeletepopup_n = $lang->sprintf($lang->confirmdeletepopup, $style['name']);
		$form_container->output_cell("<a href=\"index.php?module=user-nickstyles&amp;action=edit&nid=".$style['nid']."\" /><strong>".$style['name']."</strong></a>");
		$form_container->output_cell($style['style']);
		$form_container->output_cell($style['posts'], array("class" => "align_center"));
		$form_container->output_cell($style['reputation'], array("class" => "align_center"));
		$form_container->output_cell($timeonline, array("class" => "align_center"));
		$form_container->output_cell("<input type=\"text\" name=\"disporder[{$style['nid']}]\" value=\"{$style['disporder']}\" class=\"text_input align_center\" style=\"width: 80%;\" />", array("class" => "align_center"));
		$popup = new PopupMenu("nid_{$style['nid']}", $lang->options);
		$popup->add_item($lang->edit, "index.php?module=user-nickstyles&amp;action=edit&nid=".$style['nid']);
		$popup->add_item($lang->delete, "index.php?module=user-nickstyles&amp;action=delete&nid={$style['nid']}&my_post_key={$mybb->post_code}\" target=\"_self\" onclick=\"return AdminCP.deleteConfirmation(this, '".utf8_encode($lang->confirmdeletepopup_n)."')");
		$Popuss = $popup->fetch();
		$form_container->output_cell($Popuss, array('class' => 'align_center'));
		$form_container->construct_row();
	}
	if($form_container->num_rows() == 0)
	{
		$form_container->output_cell($lang->emptystyles, array('colspan' => 7, 'class' => 'align_center'));
		$form_container->construct_row();
	}
	$form_container->end();
	
	$buttons = array();
	$buttons[] = $form->generate_submit_button($lang->saveorden);
	$buttons[] = $form->generate_reset_button($lang->reset);
	$form->output_submit_wrapper($buttons);
	
	$form->end();
}

function action_edit_nickstyle_load()
{
	global $lang, $mybb, $db;
	$query = $db->simple_select("nickstyles_nicks", "*", "nid=".intval($mybb->input['nid']));
	$style = $db->fetch_array($query);
	if(!$style['nid'])
	{
		messageadmin($lang->notexistsedit, '', 'error');
	}
	$groups = load_groups();
	$expl = explode(",", $style['groups']);
	$selectgroups = array_map("intval", $expl);
	$form = new Form("index.php?module=user-nickstyles&action=edit", "post");
	echo $form->generate_hidden_field("nid", $style['nid']);
	$form_container = new FormContainer($lang->newnickstyles);
	$form_container->output_row($lang->name, $lang->namedes, $form->generate_text_box('name', $style['name'], array('id' => 'name')), 'name');
	$form_container->output_row($lang->style , $lang->styledes, $form->generate_text_box('style', $style['style'], array('id' => 'style')), 'style');
	$form_container->output_row($lang->posts, $lang->postsdes, $form->generate_text_box('posts',$style['posts'], array('id' => 'posts')), 'posts');
	$form_container->output_row(utf8_encode($lang->reputation), utf8_encode($lang->reputationdes), $form->generate_text_box('reputation',$style['reputation'], array('id' => 'reputation')), 'reputation');
	$form_container->output_row($lang->timeonline."<em>*</em>", $lang->timeonlinedes, " ".utf8_encode($lang->days).": ".$form->generate_text_box('day',$style['days'], array('id' => 'day', 'style' => 'width: 60px;'))." {$lang->months}: ".$form->generate_text_box('month',$style['months'], array('id' => 'month', 'style' => 'width: 60px;')), 'timeonline');
	$form_container->output_row($lang->groups, $lang->groupsdes, $form->generate_select_box('groups[]', $groups, $selectgroups, array("multiple" => 1, "size" => 5)), 'groups[]');
	$form_container->output_row($lang->orden, $lang->ordendes, $form->generate_text_box('disporder', $style['disporder'], array('id' => 'disporder')), 'disporder');
	$form_container->end();

	$buttons[] = $form->generate_submit_button($lang->save, array('name' => 'save'));
	$form->output_submit_wrapper($buttons);
	$form->end();
}

function process_edit_nickstyle()
{
	global $lang, $mybb, $db;
	$loadclass = new nickstyles_admin;
	$groups = 0;
	if($mybb->input['groups'])
	{
		$groups = implode(",", $mybb->input['groups']);
	}
	$style_info = array(
		"nid" => intval($mybb->input['nid']),
		"name" => $db->escape_string($mybb->input['name']),
		"style" => $db->escape_string($mybb->input['style']),
		"posts" => intval($mybb->input['posts']),
		"reputation" => intval($mybb->input['reputation']),
		"day" => intval($mybb->input['day']),
		"month" => intval($mybb->input['month']),
		"groups" => $groups,
		"disporder" => intval($mybb->input['disporder'])
	);
	$style_info['online'] = ($style_info['month'] * 2551443) + ($style_info['day'] * 86400);
	$loadclass->set_data($style_info);
	if(!$loadclass->validate_information())
	{
		$errors = $loadclass->get_friendly_errors();
		$return['error'] = $errors;
		return $return;
	}
	if(!$errors)
	{		
		$loadclass->update_style();
		messageadmin($lang->stylesuccessedit);
	}
}

function action_delete_style()
{
	$loadclass = new nickstyles_admin;
	$loadclass->deletestyle();
}

function edit_massive_all_dats()
{
	global $lang;
	$groups = load_groups();
	$form = new Form("index.php?module=user-nickstyles&action=editmassive", "post");
	$form_container = new FormContainer($lang->editmassive);
	$form_container->output_row($lang->posts, $lang->postsdes, $form->generate_text_box('posts',$mybb->input['posts'], array('id' => 'posts')), 'posts');
	$form_container->output_row(utf8_encode($lang->reputation), utf8_encode($lang->reputationdes), $form->generate_text_box('reputation',$mybb->input['reputation'], array('id' => 'reputation')), 'reputation');
	$form_container->output_row($lang->timeonline."<em>*</em>", $lang->timeonlinedes, " ".utf8_encode($lang->days).": ".$form->generate_text_box('day',$mybb->input['day'], array('id' => 'day', 'style' => 'width: 60px;'))." {$lang->months}: ".$form->generate_text_box('month',$mybb->input['month'], array('id' => 'month', 'style' => 'width: 60px;')), 'timeonline');
	$form_container->output_row($lang->groups, $lang->groupsdes, $form->generate_select_box('groups[]', $groups, '', array("multiple" => 1, "size" => 5)), 'groups[]');
	$form_container->end();

	$buttons[] = $form->generate_submit_button($lang->save, array('name' => 'save'));
	$form->output_submit_wrapper($buttons);
	$form->end();
}

function process_edit_massive()
{
	global $lang, $mybb, $db;
	$loadclass = new nickstyles_admin;
	$groups = 0;
	if($mybb->input['groups'])
	{
		$groups = implode(",", $mybb->input['groups']);
	}
	$style_info = array(
		"posts" => intval($mybb->input['posts']),
		"reputation" => intval($mybb->input['reputation']),
		"day" => intval($mybb->input['day']),
		"month" => intval($mybb->input['month']),
		"groups" => $groups
	);
	$style_info['online'] = ($style_info['month'] * 2551443) + ($style_info['day'] * 86400);
	$loadclass->set_data($style_info);
	if(!$loadclass->validate_editmassive())
	{
		$errors = $loadclass->get_friendly_errors();
		$return['error'] = $errors;
		return $return;
	}
	if(!$errors)
	{		
		$loadclass->update_edit_massive();
		messageadmin($lang->editmassivesuccess);
	}
}

function process_orden()
{
	global $mybb, $db, $lang;
	if(!empty($mybb->input['disporder']))
	{
		foreach($mybb->input['disporder'] as $nid => $order)
		{
			$db->update_query("nickstyles_nicks", array('disporder' => intval($order)), "nid='".intval($nid)."'");
		}
		messageadmin($lang->ordersuccess);
	}
}
?>